com.microfocus.awm.core

## Class TaurusExtensionPointUtility

- java.lang.Object
- - com.microfocus.awm.core.TaurusExtensionPointUtility

-     public class TaurusExtensionPointUtility
      extends java.lang.Object

  Helper class for finding AWM extensions.
  Author:
    Ralf Pakosch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TOOL_EXECUTOR_EXT_POINT_ID` Extension Point ID for the IToolExecutor

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusExtensionPointUtility()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IErrorFeedbackEntryAction` | `getCustomErrorViewDoubleClickAction()` Lazy gets a custom error feedback view double click action (if there is one) by using the extension point .
    `static java.util.List<FunctionPackageExtension>` | `getFunctionPackageExtensions()` Gets a list of all available function package extensions.
    `static java.util.List<MasterConfigurationProvider>` | `getMasterConfigurationProviders()` Returns all available `MasterConfigurationProvider`s.
    `static java.util.List<IPropertyProvider>` | `getPropertyProviders()` Gets a list of all registered `IPropertyProvider`s.
    `static java.util.List<IRemoteSystemConnectionCreator>` | `getRemoteSystemConnectionCreators()` Uses extension point `EXT_POINT_REMOTE_SYSTEM_CONNECTION_CREATOR` to get a list of all registered `IRemoteSystemConnectionCreator`s.
    `static java.util.List<IStructureType>` | `getStructuresTypes()` Gets a list of registered `IStructureType`s.
    `static IStructureType` | `getStructureType(java.lang.String pStructureID)` This method returns the `IStructureType` which is matching to the provided structure ID.
    `static SystemProviderExtension` | `getTaurusSystemProvider(java.lang.String pProviderID)` Gets an `ISystemProvider` with the given ID.
    `static java.util.List<SystemProviderExtension>` | `getTaurusSystemProviders()` Gets a list of `ISystemProvider`s based on the extension point `EXT_POINT_SYSTEM_PROVIDER`.
    `static java.util.List<org.eclipse.core.runtime.IConfigurationElement>` | `getToolExecutorExtensions()` Deprecated. Old tool type extension point. Use `getToolTypes()` instead.
    `static java.util.List<ToolTypeExtension>` | `getToolTypes()` Gets a list of available tool type extensions.
    `static IVisibleActionExecutor` | `getVisibleActionExecutor()` Gets the last found visible action executor.
    `static java.lang.String[]` | `parseMultiValueAttribute(java.lang.String pAttribute, java.lang.String pSeparator)` Parses an attribute of an extension which has several separated values.
    `static IFileDescriptorReader` | `searchForFileReader(FileDescriptor pFileDescr)` Gets the `IFileDescriptorReader` for the given file descriptor type by searching the extension registry with the extension point ID `EXT_POINT_FILEDESCRREADER`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOOL_EXECUTOR_EXT_POINT_ID

          public static final java.lang.String TOOL_EXECUTOR_EXT_POINT_ID

      Extension Point ID for the IToolExecutor
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaurusExtensionPointUtility

          public TaurusExtensionPointUtility()

  - ### Method Detail

    - #### getVisibleActionExecutor

          public static IVisibleActionExecutor getVisibleActionExecutor()
                                                                 throws TaurusCoreException

      Gets the last found visible action executor. Uses extension point `EXT_POINT_VISIBLE_ACTION_EXECUTOR`.
      Returns:
        a visible action executor or `null`
      Throws:
        `TaurusCoreException` - if an extension was invalid

    - #### getTaurusSystemProviders

          public static java.util.List<SystemProviderExtension> getTaurusSystemProviders()

      Gets a list of `ISystemProvider`s based on the extension point `EXT_POINT_SYSTEM_PROVIDER`.
      Returns:
        the list of available system providers

    - #### getTaurusSystemProvider

          public static SystemProviderExtension getTaurusSystemProvider(java.lang.String pProviderID)

      Gets an `ISystemProvider` with the given ID.
      Parameters:
        `pProviderID` - the ID of an ISystemProvider
      Returns:
        the system provider or `null` if no provider was found for the given ID

    - #### getFunctionPackageExtensions

          public static java.util.List<FunctionPackageExtension> getFunctionPackageExtensions()
                                                                                       throws org.eclipse.core.runtime.CoreException

      Gets a list of all available function package extensions. Uses the extension point `ModelExtensionParser.MODEL_EXTENSION_EXT_POINT_ID`
      Returns:
        the list of registered function package extensions
      Throws:
        `org.eclipse.core.runtime.CoreException` - if an extension was invalid

    - #### searchForFileReader

          public static IFileDescriptorReader searchForFileReader(FileDescriptor pFileDescr)
                                                           throws org.eclipse.core.runtime.CoreException

      Gets the `IFileDescriptorReader` for the given file descriptor type by searching the extension registry with the extension point ID `EXT_POINT_FILEDESCRREADER`.
      Parameters:
        `pFileDescr` - the file descriptor
      Returns:
        the found file descriptor reader
      Throws:
        `org.eclipse.core.runtime.CoreException` - if initializing the file descriptor reader fails

    - #### getMasterConfigurationProviders

          public static java.util.List<MasterConfigurationProvider> getMasterConfigurationProviders()

      Returns all available `MasterConfigurationProvider`s. Searches through the `EXT_POINT_MASTERCONFIGPROVIDER` Extension Point.
      Returns:
        the list of master configuration providers

    - #### parseMultiValueAttribute

          public static java.lang.String[] parseMultiValueAttribute(java.lang.String pAttribute,
                                                                    java.lang.String pSeparator)

      Parses an attribute of an extension which has several separated values.
      Parameters:
        `pAttribute` - the attribute which contains several values
        `pSeparator` - the separator
      Returns:
        an array of (trimmed) values

    - #### getToolTypes

          public static java.util.List<ToolTypeExtension> getToolTypes()

      Gets a list of available tool type extensions. Uses the extension point "com.microfocus.awm.toolexecutor".
      Returns:
        a list of tool type extensions
      See Also:
        `ModelExtensionUtilities.getToolTypes()`

    - #### getToolExecutorExtensions

          @Deprecated
          public static java.util.List<org.eclipse.core.runtime.IConfigurationElement> getToolExecutorExtensions()

      Deprecated. Old tool type extension point. Use `getToolTypes()` instead.
      Gets an unparsed list of available tool type extensions. Uses the extension point "com.microfocus.awm.toolexecutor".
      Returns:
        a list of tool type extensions
      See Also:
        `ModelExtensionParser.getToolExecutorExtensions()`

    - #### getCustomErrorViewDoubleClickAction

          public static IErrorFeedbackEntryAction getCustomErrorViewDoubleClickAction()

      Lazy gets a custom error feedback view double click action (if there is one) by using the extension point . If more than one actions are registered, an error message is logged and the first action will be returned.
      Returns:
        a custom error feedback view action or `null`

    - #### getRemoteSystemConnectionCreators

          public static java.util.List<IRemoteSystemConnectionCreator> getRemoteSystemConnectionCreators()

      Uses extension point `EXT_POINT_REMOTE_SYSTEM_CONNECTION_CREATOR` to get a list of all registered `IRemoteSystemConnectionCreator`s.
      Returns:
        a list of all registered remote system connection creators

    - #### getPropertyProviders

          public static java.util.List<IPropertyProvider> getPropertyProviders()

      Gets a list of all registered `IPropertyProvider`s.
      Returns:
        a list of all property providers (can be empty)
      See Also:
        `PropertyProviderExtension`

    - #### getStructuresTypes

          public static java.util.List<IStructureType> getStructuresTypes()

      Gets a list of registered `IStructureType`s.
      Returns:
        the list of available `IStructureType`s

    - #### getStructureType

          public static IStructureType getStructureType(java.lang.String pStructureID)
                                                 throws TaurusCoreException

      This method returns the `IStructureType` which is matching to the provided structure ID.
      Parameters:
        `pStructureID` - the ID of the `IStructureType`
      Returns:
        the corresponding `IStructureType`
      Throws:
        `TaurusCoreException` - if no `IStructureType` could be found which matches to the provider structure ID

Copyright © 2015 Micro Focus GmbH. All rights reserved.